com.holonplatform.auth.exceptions

## Class UnexpectedAuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.holonplatform.http.ErrorResponse.ErrorResponseException
        - - com.holonplatform.auth.exceptions.AuthenticationException
          - - com.holonplatform.auth.exceptions.UnexpectedAuthenticationException

- All Implemented Interfaces:
    AuthenticationError, ErrorResponse, Serializable

      public class UnexpectedAuthenticationException
      extends AuthenticationException

  Exception for a generic authentication failure
  Since:
    5.0.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.http.ErrorResponse

      `ErrorResponse.ErrorResponseException`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.ErrorResponse

      `ERROR_CODE_SERIALIZATION_NAME, ERROR_DESCRIPTION_SERIALIZATION_NAME, ERROR_URI_SERIALIZATION_NAME, INVALID_CLIENT, INVALID_REQUEST, INVALID_TOKEN, SERVER_ERROR, TEMPORARY_UNAVAILABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnexpectedAuthenticationException(String description)` Constructor
    `UnexpectedAuthenticationException(String description, Throwable cause)` Constructor

  - ### Method Summary

    - ### Methods inherited from class com.holonplatform.auth.exceptions.AuthenticationException

      `getScheme, setScheme`

    - ### Methods inherited from class com.holonplatform.http.ErrorResponse.ErrorResponseException

      `getErrorCode, getErrorDescription, getErrorURI, getHttpStatus`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.http.ErrorResponse

      `getErrorCode, getErrorDescription, getErrorURI, getHttpStatus`

- - ### Constructor Detail

    - #### UnexpectedAuthenticationException

          public UnexpectedAuthenticationException(String description)

      Constructor
      Parameters:
        `description` - Error description

    - #### UnexpectedAuthenticationException

          public UnexpectedAuthenticationException(String description,
                                                   Throwable cause)

      Constructor
      Parameters:
        `description` - Error message
        `cause` - Nested exception

Copyright © 2019 The Holon Platform. All rights reserved.